%global npm_name ensure-posix-path
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.2
Release: %mkrel 4
Summary: Ensure Posix Path
License: ISC
Group: Development/Other
URL: https://github.com/stefanpenner/ensure-posix-path#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-4.mga9
+ Revision: 1818450
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1502634
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1280366
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1225033
- imported package nodejs-ensure-posix-path

